=== debian/changelog ===
ros-kinetic-astra-camera (0.2.2-1xenial) xenial; urgency=high

  * Add launchfile info and reformat nicely
  * Publish projector/camera_info (fixes disparity img)
  * modify gcc  optimizate problem
  * Contributors: Chan Jun Shern, Martin Günther, Mikael Arguedas, Tim

 -- Tim Liu <liuhua@orbbec.com>  Thu, 22 Mar 2018 07:00:00 -0000

ros-kinetic-astra-camera (0.2.1-1xenial) xenial; urgency=high

  * 1,patch for catkin_make -j1 in docker 2,patch for x64 use x86 in docker 3,arm/arm64 use no-filter library
  * Contributors: Tim

 -- Tim Liu <liuhua@orbbec.com>  Mon, 12 Feb 2018 08:00:00 -0000

ros-kinetic-astra-camera (0.2.0-1xenial) xenial; urgency=high

  * add support for astra mini s
  * Contributors: Tim Liu

 -- Tim Liu <liuhua@orbbec.com>  Thu, 25 Jan 2018 08:00:00 -0000

ros-kinetic-astra-camera (0.1.5-1xenial) xenial; urgency=high

  * add dependency on generated messages to avoid race condition at build time
  * switching to libusb-1.0
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Fri, 27 May 2016 07:00:00 -0000

ros-kinetic-astra-camera (0.1.4-1xenial) xenial; urgency=high

  * add libusb-dev as a build dependency
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Fri, 27 May 2016 07:00:00 -0000

ros-kinetic-astra-camera (0.1.3-1xenial) xenial; urgency=high

  * Adding build dependency on libudev-dev
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 07:00:00 -0000

ros-kinetic-astra-camera (0.1.2-1xenial) xenial; urgency=high

  * add git as a dependency
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 07:00:00 -0000

ros-kinetic-astra-camera (0.1.1-1xenial) xenial; urgency=high

  * removing dependency which was internalilzed
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 07:00:00 -0000

ros-kinetic-astra-camera (0.1.0-1xenial) xenial; urgency=high

  * Initial release of ROS driver for Astra camera
  * Contributors: Ernesto Corbellini, Len Zhong, Tim, Tully Foote, ob-tim-liu

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 07:00:00 -0000
